<Fullscreen class="banner-pictures" @isFullscreen={{this.isFullscreen}} @onFullScreen={{this.fullScreen}} @onFullscreenRequest={{this.fullscreenRequest}} ...attributes>
  {{#if this.is360}}
    <canvas class="picture-360-view" {{did-insert this.create360Viewer}}/>

    <button type="button" title={{t "360 degree image"}} class="btn btn-success btn-toggle-360" {{on "click" this.toggle360}}>
      <FaIcon @icon="street-view" />
    </button>
  {{else}}
    <Swiper>
      {{#each this.pictures as | picture index |}}
        <div class="swiper-slide">
          <div style={{picture.style}} class={{if picture.is360 "picture-360" "bg-picture"}}>
            {{#if picture.is360}}
              <button type="button" title={{t "360 degree image"}} class="btn {{if this.value.is360 "btn-success" "btn-light"}} btn-toggle-360" {{on "click" (fn this.toggle360 index)}}>
                <FaIcon @icon="street-view" />
              </button>
            {{/if}}
          </div>
        </div>
      {{/each}}
    </Swiper>
  {{/if}}
</Fullscreen>
